Intrusion Prevention

Adobe.Reader.Mobile.JavaScript.Interface.Java.Code.Execution

Description

This indicates an attack attempt to exploit a Code Execution Vulnerability in Adobe Reader Mobile.
The vulnerability is due to an error when the application handles a crafted PDF file. A remote attacker could exploit this to execute arbitrary codes within the context of the application, via a crafted PDF file.

Affected Products

Adobe Systems Adobe Reader Mobile for Android prior to 11.2

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the latest update from the vendor.
http://helpx.adobe.com/security/products/reader-mobile/apsb14-12.html

CVE References

CVE-2014-0514